From: yannick.brosseau@gmail.com (Yannick Brosseau)
Subject: [ltt-dev] [UST PATCH] Test for the presence of the tracepoint_test file before running the test
Date: Fri, 18 Feb 2011 15:52:52 -0500 [thread overview]
Message-ID: <1298062372-3552-1-git-send-email-yannick.brosseau@gmail.com> (raw)
Since the test is disabled in the makefile, don't try to execute it in the script
Signed-off-by: Yannick Brosseau <yannick.brosseau at gmail.com>
---
tests/tracepoint/run | 5 +++++
1 files changed, 5 insertions(+), 0 deletions(-)
diff --git a/tests/tracepoint/run b/tests/tracepoint/run
index f0d9ed1..d63f42d 100755
--- a/tests/tracepoint/run
+++ b/tests/tracepoint/run
@@ -2,6 +2,11 @@
TESTDIR=$(dirname $0)/..
+if [ ! -x "$TESTDIR/tracepoint/tracepoint_test" ]; then
+ echo "tracepoint_test executable is not present"
+ exit 1
+fi
+
source $TESTDIR/test_functions.sh
source $TESTDIR/tap.sh
--
1.7.2.3
next reply other threads:[~2011-02-18 20:52 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2011-02-18 20:52 Yannick Brosseau [this message]
2011-02-18 21:34 ` Mathieu Desnoyers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1298062372-3552-1-git-send-email-yannick.brosseau@gmail.com \
--to=yannick.brosseau@gmail.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox